# IBM Visualization Data Explorer Programmer's Reference

[ Bottom of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]

### DXTypeSize, DXCategorySize

Function

Return size information.

Syntax
`
#include <dx/dx.h>
`

int DXTypeSize(Type t)
int DXCategorySize(Category c)

Functional Details

`DXTypeSize` returns the size in bytes of a variable of type `t`.
`DXCategorySize` returns the size multiplier for category `c`.

For a variable of type `t` and category `c`, the size in bytes is `DXTypeSize(t) * DXCategorySize(c)`.

Note: | This is the size of a single item of that type (e.g., a single component of a 3-vector). `DXGetItemSize`, in contrast, returns the size in bytes of the 3-vector.

The type is one of the following:

The category is either `CATEGORY_REAL` or `CATEGORY_COMPLEX`.

Return Value

`DXTypeSize` returns the size in bytes. `DXCategorySize` returns the multiplier in bytes.

See Also

`DXGetItemSize`

"Setting Data Types".

[ Top of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]
[Data Explorer Documentation | QuickStart Guide | User's Guide | User's Reference | Programmer's Reference | Installation and Configuration Guide ]

[Data Explorer Home Page]

[IBM Home Page | Order | Search | Contact IBM | Legal ]